My dot files (bashrc, Xresources, i3/config) by theme.   
Although bashrc isn't usually attached to any theme, it might have some PS1 or start screen that are related to a specific theme.
Same for zshrc
